Bug 236886 - NOHZ: local_softirq_pending 08 with rt2xxx wifi
Summary: NOHZ: local_softirq_pending 08 with rt2xxx wifi
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-18 09:13 UTC by Dan Horák
Modified: 2007-11-30 22:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-01 17:16:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
laptop dmesg (22.87 KB, text/plain)
2007-05-01 11:47 UTC, François Kooman
no flags Details

Description Dan Horák 2007-04-18 09:13:46 UTC
Description of problem:
when a Ralink 2561 based WiFi PCI card (Edimax) is UP, then a lot of "NOHZ:
local_softirq_pending 08" messages are written to console

00:0f.0 Network controller: RaLink RT2561/RT61 802.11g PCI
or with lspci -n
00:0f.0 0280: 1814:0301

Version-Release number of selected component (if applicable):
kernel-2.6.20-1.3079.fc7

How reproducible:
always


Steps to Reproduce:
1. attach to a wireless network, so the link is up, IP is assigned

Comment 1 Dan Horák 2007-04-20 14:58:49 UTC
behaviour still the same in kernel-2.6.20-1.3094.fc7

Comment 2 John W. Linville 2007-04-24 18:12:31 UTC
Definitely need someone more familiar w/ the driver to take a glance at 
this...

Comment 3 Ivo van Doorn 2007-04-24 18:23:17 UTC
Could you enable debugging output of the rt61pci driver (load rt61pci with the 
debug=1 option) and attach /var/log/messsages to this bugreport?

Comment 4 François Kooman 2007-05-01 08:37:03 UTC
Same problem here with the rt2500pci driver (PC-card):

wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:14:bf:a5:05:78
wlan0: RX authentication from 00:14:bf:a5:05:78 (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:14:bf:a5:05:78
wlan0: RX AssocResp from 00:14:bf:a5:05:78 (capab=0x411 status=0 aid=1)
wlan0: associated
NOHZ: local_softirq_pending 08
..
..

Trying to load driver with debug=1:

[root@tritanium log]# modprobe rt2500pci debug=1
FATAL: Error inserting rt2500pci
(/lib/modules/2.6.21-1.3116.fc7/kernel/drivers/net/wireless/mac80211/rt2x00/rt2500pci.ko):
Unknown symbol in module, or unknown parameter (see dmesg)
[root@tritanium log]# dmesg | tail -1
rt2500pci: Unknown parameter `debug'
[root@tritanium log]# 


Comment 5 Ivo van Doorn 2007-05-01 10:58:54 UTC
ok, so debug isn't enabled in the fedora default config.
Could you post the entire output of dmesg then, perhaps it still contains 
something useful.

Comment 6 François Kooman 2007-05-01 11:47:50 UTC
Created attachment 153853 [details]
laptop dmesg

Comment 7 François Kooman 2007-05-01 11:49:43 UTC
System profile:
http://smolt.fedoraproject.org/show?UUID=7249536a-feda-40cf-8407-917fbc02aa9a

[root@tritanium ~]# iwlist wlan0 scan
Warning: Driver for device wlan0 has been compiled with version 22
of Wireless Extension, while this program supports up to version 20.
Some things may be broken...

wlan0     Scan completed :
          Cell 01 - Address: 00:14:BF:A5:05:78
                    ESSID:"brmstrt"
                    Mode:Master
                    Frequency:2.462 GHz
                    Signal level=-175 dBm  Noise level=-176 dBm
                    Encryption key:on
                    Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 11 Mb/s; 18 Mb/s
                              24 Mb/s; 36 Mb/s; 54 Mb/s; 6 Mb/s; 9 Mb/s
                              12 Mb/s; 48 Mb/s
                    Extra:tsf=0000000c1dcf297d

[root@tritanium ~]# 

See also https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=238537

Comment 8 Dan Horák 2007-05-02 13:53:39 UTC
I am rebuilding the Fedora kernel with debugging enabled, then I will upload it
at http://fedora.danny.cz/kernel

Comment 9 Dan Horák 2007-05-28 16:06:41 UTC
kernel-2.6.21-1.3194.fc7 looks good


Note You need to log in before you can comment on or make changes to this bug.